/* agregamos el padding superior para despegar el contenido de nuestro navbar */
main {
	padding-top: 1rem;
}

/* centramos nuestro titulo y modificamos su tamaño de fuente y color */
.signup-title {
	text-align: center;
	font-size: 1.8rem;
	color: #ff5454;
}

/* agregamos un padding a todo nuestro formulario para que no se pegue a la 
orilla del contenedor */
.signup-form {
	padding: 1rem;
	/* vamos a modificar nuestro form para que sea un grid para tener acomodados nuestros elementos
	de forma que del lado izquierdo queden nuestras etiquetas y del lado derecho nuestros inputs, esto lo lograremos
	asignando 2 columnas usando un media query, no asignamos aqui las medidas
	porque queremos que las 2 columnas se hagan solo para escritorio y este código
	es mobile first */
	display: grid;
	/* como no asignaremos renglones y dejaremos que css grid los haga
	solo le asignamos que queremos un tamaño por renglon de 2rem y un espaciado entre rows de 0.5rem */
	grid-auto-rows: 2rem;
	row-gap: 0.5rem;
}
/* ponemos en negrita las etiquetas dentro del form */
.signup-form label {
	font-weight: bold;
}

/* modificamos nuestros elementos label input y select, que están dentro de nuestro
formulario, para esta pagina no seria necesario porque no habrá mas formularios
pero en proyectos grandes puede haber y no especificar que sean los elementos
especificos que sean hijos de este form podría dar problemas,
aqui simplemente agregamos display block para que tome todo el ancho la caja, y el width 100%
para que el elemento tome todo el ancho de la caja, además agregamos márgen superior */
.signup-form label,
.signup-form input,
.signup-form select {
	display: block;
	/* eliminamos nuestros margenes porque ahora los espacios entre renglones
	están definidos por nuestro grid */
	/* margin-top: 1rem; */
	width: 100%;
}

/* debemos seleccionar el input que es checkbox para modificar
su estilo, podemos hacerlo de 2 formas, podemos seleccionar
directamente el input que es de tipo checkbox,
 o en este caso usando * para decirle que seleccione el input
 que en el id lleve la palabra terms, en la parte que sea
 y tambien seleccionamos el elemetno label que está posterior a esta primer seleccion
 ya que necesitamos ambos, label e input checkbox, las ponemos como inline-block 
 para que estén una al lado de la otra y poder asignar su ancho, el ancho lo asignamos automático
 para que nos acomode ambos al mismo nivel*/
/* .signup-form input[type="checkbox"]{ */
.signup-form input[id*='terms'],
.signup-form input[id*='terms'] + label {
	display: inline-block;
	width: auto;
	/* como eliminamos los estilos por defecto de los elementos checkbox
	aquí debemos agregar el alineado vertical */
	vertical-align: bottom;
}
/* modificamos los estilos de nuestro elementos del form, los inputs y selects,
les agregamos un border, un padding y la fuente la heredamos de la que see está usando
en la página para aumentar la consistencia de estilos */
/* vamos a agregar un filtro para aplicar estos estilos, ya que no los queremos aplicar
a los elementos de tipo checkbox, agregamos la pseudoclase not para esto */
.signup-form input:not([type='checkbox']),
.signup-form select {
	border: 3px solid #ccc;
	padding: 0.2rem 0.5rem;
	font: inherit;
}

/* modificamos los estilos al hacer focus en los inputs y el select, eliminamos el outline
que se agrega que es una referencia visual para que el usuario sepa el input que esta seleccionando
es parecido a un border aunque no es lo mismo y se pueden tener outline y border a la vez,
en este caso la referencia visual que haremos al usuario es cambiar el color de fondo del input
y su color de borde */
.signup-form input:focus,
.signup-form select:focus {
	outline: none;
	background: #d8f3df;
	border-color: #2ddf5c;
}

/* a nuestro elemento checkbox le aplicaremos estilos especificos */
.signup-form input[type='checkbox'] {
	border: 1px solid #ccc;
	background: white;
	/* modificamos su altura para que sea mas grande y cuadrado */
	width: 1rem;
	height: 1rem;
	/* con estas propiedades de appearance eliminamos los estilos
	por defecto que los navegadores agregan a estos elementos, webkit y moz
	son los prefijos que debe tener la propiedad appearance en navegadores chrome y mozilla
	y agregamos el atributo sin prefijos para los otros navegadores  */
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}
/* como arriba eliminamos la apariencia de los checkbox,
vamos a agregar la pseudoclase checked para agregar el nuevo estilo que queremos definir
en este caso cuando este checked el input, le agregaremos un borde y un color de fondo */
.signup-form input[type='checkbox']:checked {
	background: #2ddf5c;
	border: #0e4f1f;
}

/* agregamos margen superior a nuestro botón submit y lo ponemos de tipo block para que ocupe 
todo el ancho (lo que ocupa todo el ancho es el contenedor del boton, no el boton como tal) */
.signup-form button[type='submit'] {
	display: block;
	/* margin-top: 1rem; */
}

/* agregamos los estilos para nuestros elementos del formulario inválidos, simplemente
agregamos un borde de color rojo y un color rojo claro para que sean mas faciles de ver
que son errores */
/* en css hay otra forma de agregar estos estilos visuales a nuestros forms y es agregando
la pseudoclase invalid, con esta pseudoclase, las validaciones se harán desde los elementos html
por ejemplo los elementos input de tipo correo, la validacion de que sea formato correcto de correo
la hará html, en el momento que empecemos a escribir, debemos prestar atención a este feedback visual
y ver si es lo que queremos en el proyecto, porque por ejemplo si agregamos la propiedad required
esa validación se hará desde que se carga la página y como los inputs estarán vacios nos marcaría todo
como incorrecto o con errores */
.signup-form input.invalid,
.signup-form select.invalid,
/* ademas de pseudoclase :invalid existe la :valid
que se aplica para elementos validados */
.signup-form :invalid {
	border-color: red !important;
	background: #faacac;
}

/* agregamos un media query para que en pantallas grandes nuesro formulario tenga un ancho
fijo, y un margin auto para que este centrado verticalmente en la pantalla */
@media (min-width: 40rem) {
	.signup-form {
		margin: auto;
		width: 30rem;
		/* asignamos nuestras columnas que pasan de ser 1 a ser 2, para el tamaño de escritorio, 
		la primer columna sera de 10 rem y la segunda tendrá un ancho automático */
		grid-template-columns: 10rem auto;
		/* aumentamos de 0.5 a 1 nuestro gap entre renglones */
		row-gap: 1rem;
		/* y agregamos un gap de columnas para que estén un poco más separadas */
		column-gap: 0.5rem;
	}

	/* queremos que nuestro input que contiene el titulo de la persona (mr o mrs) ocupe todo un renglón
	así que le indicamos que tomará 2 columnas */
	.signup-form [id='title'] {
		grid-column: span 2;
	}
	/* tambien nuestra sección donde tenemos nuestro checkbox y el enlace hacia los terminos y condiciones ocupará todo un
renglón */
	.signup-form__checkbox {
		grid-column: span 2;
	}
}
